Channels
Find a conversation by contact
Return your conversation of the given type with one of your contacts, creating it if it does not exist yet. contact_id must be one of your own contacts (404 otherwise), and conversation_type must be a conversation type such as DirectConversation, SmsConversation, or EmailConversation (400 otherwise). Callable by a signed-in company admin or rep whose role includes the messaging view permission.
GET
/
api
/
v1
/
messaging
/
conversations
/
find
Find a conversation by contact
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/conversations/find \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/find"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/conversations/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/find",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/find"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/conversations/find")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/find")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 90415,
"type": "SmsConversation",
"kind": null,
"name": "Holly Flax",
"description": null,
"status": "open",
"conversation_type": "external",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-22T18:05:44Z",
"pinned_messages_count": 0,
"total_recipients": 2,
"unread": false,
"pinned": false,
"muted": false,
"unread_messages_count": 0,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": true,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48102,
"receivable_id": 7731,
"receivable_type": "UserCompany",
"first_name": "Michael",
"last_name": "Scott",
"status": "active",
"last_online": "2026-09-30T15:40:12Z",
"avatar_background": "#4F46E5",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 51944,
"receivable_id": 20318,
"receivable_type": "Contact",
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550142",
"avatar_background": "#8B5CF6",
"avatar_url": null,
"image_url": null,
"country_name": null,
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48102,
"first_name": "Michael",
"last_name": "Scott",
"avatar_background": "#4F46E5",
"image_url": null,
"pro_user": true,
"blocked": false,
"blocker": false,
"discarded_at": null
}
}{
"message": "<string>"
}Query Parameters
Response
The existing or newly created conversation.
A conversation as seen by the acting recipient. Per-recipient fields such as unread, pinned, and muted describe that recipient's view of the conversation. recipients lists at most six active participants; total_recipients is the full count.
⌘I
Find a conversation by contact
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/conversations/find \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/conversations/find"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/conversations/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/conversations/find",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/conversations/find"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/conversations/find")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/conversations/find")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 90415,
"type": "SmsConversation",
"kind": null,
"name": "Holly Flax",
"description": null,
"status": "open",
"conversation_type": "external",
"broadcasting": null,
"auto_add_recipients": null,
"announcing": false,
"avatar_background_color": null,
"avatar_emoji": null,
"avatar_url": null,
"image_url": null,
"created_at": "2026-09-22T18:05:44Z",
"pinned_messages_count": 0,
"total_recipients": 2,
"unread": false,
"pinned": false,
"muted": false,
"unread_messages_count": 0,
"scheduled_messages_count": 0,
"email_enabled?": false,
"sms_enabled?": true,
"messaging_enabled?": true,
"draft_message": null,
"recipients": [
{
"id": 48102,
"receivable_id": 7731,
"receivable_type": "UserCompany",
"first_name": "Michael",
"last_name": "Scott",
"status": "active",
"last_online": "2026-09-30T15:40:12Z",
"avatar_background": "#4F46E5",
"avatar_url": null,
"image_url": null,
"country_name": "United States",
"pro_user": true,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 51944,
"receivable_id": 20318,
"receivable_type": "Contact",
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@gmail.com",
"phone": "+15705550142",
"avatar_background": "#8B5CF6",
"avatar_url": null,
"image_url": null,
"country_name": null,
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
],
"creator": {
"id": 48102,
"first_name": "Michael",
"last_name": "Scott",
"avatar_background": "#4F46E5",
"image_url": null,
"pro_user": true,
"blocked": false,
"blocker": false,
"discarded_at": null
}
}{
"message": "<string>"
}